server {
	listen 80;

	root {{ project_path }}/public;
	index index.php;

	server_name {{ domain_name }};

	location ~ /(get|supprimer|vider|confirmer|produit) {
		try_files $uri $uri/ /index.php?$args;
 	}

	location / {
		try_files $uri $uri/ /index.php?action=$uri;
	}

	location ~ \.php(/|$) {
		fastcgi_pass unix:/var/run/php/php8.1-fpm.sock;
		fastcgi_index index.php;
		fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
		include fastcgi_params;
  }

}
